#include <iostream>
#include <vector>
using namespace std;
/* run this program using the console pauser or add your own getch, system("pause") or input loop */

struct par{
	long long donja, gornja;
};
vector<par> v;

void prvi(long long l, long long  r, long long x){
	long long br=0;
	for(long long i=l-1;i<=r-1;i++){
		if(x>=v[i].donja and x<=v[i].gornja){
			br++;
		}
	}
	cout<<br<<endl;
}

int main(int argc, char** argv) {
	ios_base::sync_with_stdio(false);
	long long n,m,d,u,l,r,x,i;
	bool drugi=true, cet=true;
	cin>>n>>m;
	par p;
	long long mind=INT_MAX, maxu=0;
	for(i=0;i<n;i++){
		cin>>d>>u;
		if(u>20){
			cet=false;
		}
		p.donja=d;
		p.gornja=u;
		if(d<mind){
			mind=d;
		}
		if(u>maxu){
			maxu=u;
		}
		v.push_back(p);
	}
	if(cet){
		
	}
	for(i=0;i<m;i++){
		cin>>l>>r>>x;
		if(x<mind or x>maxu){
			cout<<0<<endl;
			continue;
		}
		/*if(cet){
			cetvrti(l,r,x);
		}*/
		prvi(l,r,x);
	}
	return 0;
}